Bug 394335 - Can't open System Settings category with Enter key
Summary: Can't open System Settings category with Enter key
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: sidebarview (show other bugs)
Version: 5.12.5
Platform: Manjaro Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-16 15:21 UTC by mokush
Modified: 2018-07-22 14:36 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.13.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mokush 2018-05-16 15:21:59 UTC
In System Settings, you can focus the categories with the Up-Down keys, but pressing enter does not open the category.

To reproduce:
1. Open System Settings
2. Focus the Search field
3. Use Up/Down to focus one of the categories
4. Press enter to open the highlighted category

Expected:
Category should open.

What happens:
Nothing happens. Category does not open.
Comment 1 Marco Martin 2018-07-20 14:39:54 UTC
Git commit b4efe102d38bf55c902d914287b153ddd75ba433 by Marco Martin.
Committed on 20/07/2018 at 14:38.
Pushed by mart into branch 'Plasma/5.13'.

navigate with enter as well

M  +2    -0    sidebar/package/contents/ui/CategoriesPage.qml
M  +2    -0    sidebar/package/contents/ui/SubCategoryPage.qml

https://commits.kde.org/systemsettings/b4efe102d38bf55c902d914287b153ddd75ba433